import controlP5.*;

import java.util.*;
import peasy.*;
PeasyCam cam;
ControlP5 controlP5;
PFont pfont;// use true/false for smooth/no-smooth
ControlFont font;
//PFont helvFont;

Random rand;
int horizMargin = 10;
int vertMargin = 10;
int interClassMargin = 10;

int deweyCount = 10;

int[] outerPointCounts = new int[10];
int[] innerPointCounts = new int[10];
int rad = 100;
int nodeRad = 3; 

float globalX;
float globalY;
float globalZ;

float[] outerTheta = new float[10];
float[] innerTheta = new float[10];
ArrayList<List<Bigram>> bigrams;


float theta = 0; 
float thetaIncrement = (float) 0.001;
  
int starsPerRow =5;

float[] tenPoints;
  
void setup()
{
    size(1200, 700, P3D);
    cam = new PeasyCam(this, 250);
    cam.setMaximumDistance(3000);
    controlP5 = new ControlP5(this);
    pfont = createFont("Arial",10,true); 
    font = new ControlFont(pfont, 10);
    ControlFont.sharp();
    
    
    bigrams = new ArrayList<List<Bigram>>();
    rand  = new Random(); //generates a random number between 0 and 9 inclusive
    colorMode(HSB, 360, 100, 100); //color Mode is HSB
    // Make the screen resizable.                     
    surface.setResizable(true);
   // helvFont = createFont("Helvetica", 60); 
    smooth();
    // Load the data
    for (int j = 0; j < deweyCount; ++j )
      {
      List<Bigram> bigramj = processData(j);
      bigrams.add(bigramj);
    }
    
    
myTextarea = controlP5.addTextarea("txt")
                  .setPosition(-width*0.2, -height*0.16)
                  .setSize(100,200)
                  .setLineHeight(14)
                  .setColor(color(0))
                  .setColorBackground(color(255,100))
                  .setFont(font)
                  .setColorForeground(color(255,100));
                  
  //scale(0.01);                
  myTextarea.setText("Click on pivots to see associated words.");
    
   
}

void draw()
{
  background(#888888);
  //background(#AA3939);
  
  pushMatrix();
  //translate(width*0.01, height*0.01);
  //rotate(frameCount / -100.0);
  fill(255);
  tenPoints = polygon(25, 0, 80, 10, 0);  // Hexagon
  //float[] rectPoints = polygon(0, 0, 70, 4);  // rectangle
  popMatrix();
  
  /*pushMatrix();
  fill(0);
  translate(-200, -100, 0);
  rect(0, 0, 200, 50);
  popMatrix();
  */
  
  
  //print("Width is: " + width);
  //print("height is: " + height);
  // -width/2 is the reset point in x
  //for (int i = 0; i< deweyCount; ++i)
  drawDeweyBigrams(currentDewey);   
  //drawAllBigrams();
  theta += thetaIncrement;
 
}